### Method

# AppStream Pool get_components_by_bundle_id

since: 0.16.0

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_bundle_id (
      AsPool* pool,
      AsBundleKind kind,
      const gchar* bundle_id,
      gboolean match_prefix
    )

#### Description [src]

Find components that are provided by a bundle with a specific ID by its prefix. For example, given a AS_BUNDLE_KIND_FLATPAK and a bundle_id “org.kde.dolphin/”, it will list all the components that bundle dolphin. If the bundle_id is “org.kde.dolphin/x86_64” it will give those with also the architecture.

Available since: 0.16.0

#### Parameters

`kind`

  Type: `AsBundleKind`

  The kind of the bundle we are looking for.

`bundle_id`

  Type: `const gchar*`

  The bundle ID to match, as specified in `AsBundle`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`match_prefix`

  Type: `gboolean`

  `TRUE` to match the ID by prefix, `FALSE` to perform an absolute match.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox`.

The caller of the method takes ownership of the data, and is responsible for freeing it.